# WHO COVID-19 App Privacy Notice

This App Privacy Notice supplements the general World Health Organization (“WHO” or “us”, “we” or “our”) Privacy Policy available at [https://www.who.int/about/who-we-are/privacy-policy][1] (the “WHO Privacy Policy”), and applies to mobile applications and services made available by the WHO (each an “App” or “Service”).

By using a Service, you agree to the collection and use of data in accordance with these policies. We do not disclose, share, sell, or transfer any information about Service users unless required by law or for law enforcement.

## Data We Collect

When you use our Service we:

- Do not collect data that identifies you personally (“Personal Data”) unless you choose to provide that information to us.
- Do collect information that does not identify you personally, including data collected automatically either generated by the use of the Service or from the Service infrastructure (“Usage Data”). Usage Data may include location information, which we may use to provide you with more relevant information or language choices.

Our Apps are not intended to be used by or to solicit information of any kind from children under age 13.

## How We Use Data

The use of data described in the WHO Privacy Policy applies to the Service. Additionally, we use Usage Data to enable participation in interactive features of our Service and to provide you with information if you opt into receiving information through the Service or engage with interactive features.

## Third-Party Apps and Services

Third-party applications and/or services linked to or embedded in the App governed by those third-party security and privacy policies (see [third-party tools][8]). If you consent to receiving push notifications, a third-party provider may collect device and regional location information, but your identity or Personal Data will not be revealed to us as a result of enabling such notifications. You may stop push notifications by adjusting your device settings.

## Disclaimer

THE MATERIALS EMBODIED IN THIS SERVICE ARE PROVIDED “AS-IS” AND WITHOUT WARRANTY OF ANY KIND, EXPRESSED, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL THE WORLD HEALTH ORGANIZATION BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT, SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER, WHETHER OR NOT ADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE POSSESSION, USE OR PERFORMANCE OF THIS SERVICE.

## Data Retention and Transfer

We retain and use Personal Data and Usage Data only as long as is necessary for the purposes set out in our Privacy Policy and this Privacy Notice, or to the extent necessary to comply with legal obligations, resolve disputes, or enforce legal agreements and policies. We transfer the data, including Personal Data, to the U.S.A. for processing and storage, and by using or submitting information via the Service you consent to such transfer.

## Disclosure and Security of Data

We may disclose your Personal Data in the good faith belief that such action is necessary to: comply with a legal obligation, protect and defend our rights or property, prevent or investigate possible wrongdoing in connection with the Service, protect the personal safety of users of the Service or the public, or protect against legal liability. We use commercially reasonable means to protect any Personal Data you provide to us.

## Current Third-Party Tools

Currently in connection with the WHO COVID-19 App we use the following third-party services and application stores. We may use additional services for testing and internal use.

- Apple Store (iTunes Store) ([Privacy Policy][2])
- Google Analytics ([Privacy Policy][3] and [Terms][4])
- Google Cloud ([Privacy Policy][5])
- Google Firebase ([Privacy Policy][6])
- Google Play Store ([Privacy Policy][7])

[1]: https://www.who.int/about/who-we-are/privacy-policy
[2]: https://www.apple.com/legal/privacy/en-ww
[3]: https://support.google.com/analytics/answer/6004245
[4]: https://www.google.com/analytics/terms
[5]: https://cloud.google.com/security/privacy
[6]: https://firebase.google.com/support/privacy
[7]: https://policies.google.com/privacy?hl=en&gl=us
[8]: #current-third-party-tools
